Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UICommandLink.Properties

    java.lang.Object
      java.lang.Enum<UICommandLink.Properties>
          org.richfaces.component.UICommandLink.Properties

All Implemented Interfaces:
  Serializable, Comparable<UICommandLink.Properties>

Enclosing class:
  UICommandLink

    protected static enum UICommandLink.Properties

extends Enum<UICommandLink.Properties>

Enum Constant Summary
`bypassUpdates`
`limitRender`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`styleClass`

Method Summary
`static UICommandLink.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UICommandLink.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bypassUpdates

    public static final UICommandLink.Properties bypassUpdates

### limitRender

    public static final UICommandLink.Properties limitRender

### onclick

    public static final UICommandLink.Properties onclick

### ondblclick

    public static final UICommandLink.Properties ondblclick

### onkeydown

    public static final UICommandLink.Properties onkeydown

### onkeypress

    public static final UICommandLink.Properties onkeypress

### onkeyup

    public static final UICommandLink.Properties onkeyup

### onmousedown

    public static final UICommandLink.Properties onmousedown

### onmousemove

    public static final UICommandLink.Properties onmousemove

### onmouseout

    public static final UICommandLink.Properties onmouseout

### onmouseover

    public static final UICommandLink.Properties onmouseover

### onmouseup

    public static final UICommandLink.Properties onmouseup

### style

    public static final UICommandLink.Properties style

### styleClass

    public static final UICommandLink.Properties styleClass

Method Detail

### values

    public static UICommandLink.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UICommandLink.Properties c : UICommandLink.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UICommandLink.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.